Issue 60478 - Deleting dictionaries
Summary: Deleting dictionaries
Status: CLOSED FIXED
Alias: None
Product: lingucomponent
Classification: Code
Component: other (show other issues)
Version: OOo 2.0.1
Hardware: PC All
: P3 Trivial with 2 votes (vote)
Target Milestone: OOo 3.0
Assignee: issues@lingucomponent
QA Contact: issues@lingucomponent
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-13 11:10 UTC by brendel
Modified: 2009-09-21 12:44 UTC (History)
3 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description brendel 2006-01-13 11:10:52 UTC
It seems that having too many dictionaries installed will slow performance,
expecially at startup. I'm working regularly in three different languages, thus
I have to have at least these installed.
Now, OOo comes out of the box with already several dictionaries installed, such
as English, Italian, Swahili (Kenya), Swahili (Tanzania), Thai.
I would like to de-install or delete some of these languages to not overload my
system, however I haven't found a simple way to do this. I have read all of the
help concerning languages and dictionaries, to no avail. 
The only way I can see, is to manually find the files in shared/dict/ooo and
deleting them. And probably also updating the file dictionary.lst ?? Will OO
crash if I only delete the dictionaries and do not change dictionary.lst ? Or is
actually changing this file enough and I don not need to delete the dictionaries
(in case I would want the one day) ? 

Thanks for any hints

Oliver
Comment 1 thomas.lange 2006-01-13 13:51:23 UTC
That depends a bit on what you define is startup.

a) If you start the office for the very first after the installation with an
empty document there is now slow down because of any number of dictionaries
being installed.

b) a noticeable slow is happening only once after an installation when you're
going to use the linguistic for the first time (like opening the thesaurus or
loading a document with automatic spelling or hyphenation enabled).
In this case it may take some seconds to check what dictionaries are available.
The result of this check gets written in the configuration.

c) if you start the Office any time after the above initial check is done it
will only be checked if there are new dictionaries installed. This takes only
takes 60ms on an average box (P4 1.8GHz) and thus is almost not noticeable.
Only if you install or remove some dictionaries (i.e. change any file that
belongs to the linguistic) the check from b) is required to be run again.

Thus aside from the very first use of the linguistic there is no impact at all
on startup time because of any number of dictionaries being installed.


The behaviour you described was shown in older versions. At latest with OOo
2.0.1 this should no longer happen.
(I'm not sure if it was just maybe already fixed in OOo 2.0.0 because I
currently do not remember when the fix was integrated)

Comment 2 troodon 2006-09-30 15:37:50 UTC
"Still on the road of DicOOo 2.0 that is a complete rewriting and will allow to
uninstall dictionaries ..."

See
http://blogs.nuxeo.com/sections/blogs/laurent_godard/2005_04_18_ooodicooo_thesaurus_v2

Comment 3 caolanm 2009-09-21 12:43:51 UTC
This while area is changed in (at least) 3.0.0 where dictionaries are extensions
and so can be easily deinstalled now.
Comment 4 caolanm 2009-09-21 12:44:45 UTC
available in at least 3.0.0